
spool C:\tfc\CONSULTES_proves.log
--------------------
--PROVES CONSULTES--
--------------------

--Executarem unes quantes consultes per veure la seva funcionalitat.
--Primera consulta: llistat de despeses associades als parlamentaris indicats
exec pkg_consultes.c1_despeses_parlamentari_any(1001, 'Folketinget', 2013);
exec pkg_consultes.c1_despeses_parlamentari_any(1007, 'Congreso de los Diputados', 2010);
exec pkg_consultes.c1_despeses_parlamentari_any(1012, 'Assemble Nationale', 2012);
exec pkg_consultes.c1_despeses_parlamentari_any(1012, 'Assemble Nationale', 2010);
exec pkg_consultes.c1_despeses_parlamentari_any(1016, 'Eusko Legebiltzarra', 2014);
exec pkg_consultes.c1_despeses_parlamentari_any(1016, 'Eusko Legebiltzarra', 2009);
exec pkg_consultes.c1_despeses_parlamentari_any(1026, 'The Scottish Parliament', 2013);
exec pkg_consultes.c1_despeses_parlamentari_any(1026, 'The Scottish Parliament', 2011);

--Si no funcionen b ens indica que no troba el parlamentari indicat, i que hi ha
--algun error en l'execuci de la consulta
exec pkg_consultes.c1_despeses_parlamentari_any(1001, 'Folketingot', 2013);
exec pkg_consultes.c1_despeses_parlamentari_any(1017, 'Congreso de los Diputados', 2010);
exec pkg_consultes.c1_despeses_parlamentari_any(1012, 'Assemble Nationale', 2005);
exec pkg_consultes.c1_despeses_parlamentari_any(1000, 'Assemble Nationale', 2010);
exec pkg_consultes.c1_despeses_parlamentari_any(1016, 'Euskor Legebiltzarra', 2014);
exec pkg_consultes.c1_despeses_parlamentari_any(1016, 'Eusko Legebiltzarra', 2003);
exec pkg_consultes.c1_despeses_parlamentari_any(1003, 'The Scottish Parliament', 2013);
exec pkg_consultes.c1_despeses_parlamentari_any(1026, 'The Scottishes Parliament', 2011);


--Segona consulta: llistat de despeses associades als parlamentaris del parlament i 
--en l'any indicats
exec pkg_consultes.c2_llistat_parl_cambra_any('The Scottish Parliament', 2013);
exec pkg_consultes.c2_llistat_parl_cambra_any('Folketinget', 2012);
exec pkg_consultes.c2_llistat_parl_cambra_any('Congreso de los Diputados', 2011);
exec pkg_consultes.c2_llistat_parl_cambra_any('Assemble Nationale', 2009);
exec pkg_consultes.c2_llistat_parl_cambra_any('Assemble Nationale', 2012);
exec pkg_consultes.c2_llistat_parl_cambra_any('Eusko Legebiltzarra', 2014);
exec pkg_consultes.c2_llistat_parl_cambra_any('Eusko Legebiltzarra', 2010);
exec pkg_consultes.c2_llistat_parl_cambra_any('Congreso de los Diputados', 2013);
exec pkg_consultes.c2_llistat_parl_cambra_any('The Scottish Parliament', 2009);
exec pkg_consultes.c2_llistat_parl_cambra_any('Folketinget', 2010);
exec pkg_consultes.c2_llistat_parl_cambra_any('The Scottish Parliament', 2009);

--Si no funcionen b ens indica que no ha trobat cap cambra o l'any
exec pkg_consultes.c2_llistat_parl_cambra_any('Tha Scottish Parliament', 2013);
exec pkg_consultes.c2_llistat_parl_cambra_any('Folketinget', 2112);
exec pkg_consultes.c2_llistat_parl_cambra_any('Congreso de los diputados', 2011);
exec pkg_consultes.c2_llistat_parl_cambra_any('Assemble Nationale', 2003);
exec pkg_consultes.c2_llistat_parl_cambra_any('Assemble National', 2012);
exec pkg_consultes.c2_llistat_parl_cambra_any('Eusk Legebiltzarra', 2014);
exec pkg_consultes.c2_llistat_parl_cambra_any('Eusko Legebiltzarra', 2015);
exec pkg_consultes.c2_llistat_parl_cambra_any('Congreso de los Diputados', 2023);
exec pkg_consultes.c2_llistat_parl_cambra_any('The Scottish Parliament', 1998);
exec pkg_consultes.c2_llistat_parl_cambra_any('Folketingot', 2010);


--Tercera consulta: llistat de despesa total de totes les cambres
exec pkg_consultes.c3_despesa_total_any(2014);
exec pkg_consultes.c3_despesa_total_any(2013);
exec pkg_consultes.c3_despesa_total_any(2012);
exec pkg_consultes.c3_despesa_total_any(2011);
exec pkg_consultes.c3_despesa_total_any(2010);
exec pkg_consultes.c3_despesa_total_any(2009);

--Si no funciona b indica que no troba l'any indicat
exec pkg_consultes.c3_despesa_total_any(2004);
exec pkg_consultes.c3_despesa_total_any(2113);
exec pkg_consultes.c3_despesa_total_any(2022);


--Quarta consulta: llistat de despesa total de totes les cambres
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottish Parliament', 2013);
exec pkg_consultes.c4_despeses_categoria_cambra('Folketinget', 2012);
exec pkg_consultes.c4_despeses_categoria_cambra('Congreso de los Diputados', 2011);
exec pkg_consultes.c4_despeses_categoria_cambra('Assemble Nationale', 2009);
exec pkg_consultes.c4_despeses_categoria_cambra('Assemble Nationale', 2012);
exec pkg_consultes.c4_despeses_categoria_cambra('Eusko Legebiltzarra', 2014);
exec pkg_consultes.c4_despeses_categoria_cambra('Eusko Legebiltzarra', 2010);
exec pkg_consultes.c4_despeses_categoria_cambra('Congreso de los Diputados', 2013);
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottish Parliament', 2009);
exec pkg_consultes.c4_despeses_categoria_cambra('Folketinget', 2010);
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottish Parliament', 2009);

--Si no funcionen b ens indica que no ha trobat la cambra o l'any indicats
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottis Parliament', 2013);
exec pkg_consultes.c4_despeses_categoria_cambra('Folketingot', 2012);
exec pkg_consultes.c4_despeses_categoria_cambra('Congreso de los diputados', 2011);
exec pkg_consultes.c4_despeses_categoria_cambra('Assemble National', 2009);
exec pkg_consultes.c4_despeses_categoria_cambra('Assemble Nationale', 2022);
exec pkg_consultes.c4_despeses_categoria_cambra('Euskor Legebiltzarra', 2014);
exec pkg_consultes.c4_despeses_categoria_cambra('Eusko Legebiltzarra', 2110);
exec pkg_consultes.c4_despeses_categoria_cambra('Congreso de los Diputados', 2003);
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottish Parliament', 1999);
exec pkg_consultes.c4_despeses_categoria_cambra('Folketinget', 2031);
exec pkg_consultes.c4_despeses_categoria_cambra('The Scottish Parliament', 1978);


--Cinquena consulta: llistat de parlamentaris d'una cambra i un any indicats que
--superen la mitjana de despeses del parlamentaris de la cambra en l'any indicats
exec pkg_consultes.c5_parl_superen_mitja('The Scottish Parliament', 2013);
exec pkg_consultes.c5_parl_superen_mitja('Folketinget', 2012);
exec pkg_consultes.c5_parl_superen_mitja('Congreso de los Diputados', 2011);
exec pkg_consultes.c5_parl_superen_mitja('Assemble Nationale', 2009);
exec pkg_consultes.c5_parl_superen_mitja('Assemble Nationale', 2012);
exec pkg_consultes.c5_parl_superen_mitja('Eusko Legebiltzarra', 2013);
exec pkg_consultes.c5_parl_superen_mitja('Eusko Legebiltzarra', 2010);
exec pkg_consultes.c5_parl_superen_mitja('Congreso de los Diputados', 2013);
exec pkg_consultes.c5_parl_superen_mitja('The Scottish Parliament', 2009);
exec pkg_consultes.c5_parl_superen_mitja('Folketinget', 2010);
exec pkg_consultes.c5_parl_superen_mitja('The Scottish Parliament', 2009);

--Si no funcionen b ens indica si no troba la cambra o l'any
exec pkg_consultes.c5_parl_superen_mitja('The Scottish Parliament', 2023);
exec pkg_consultes.c5_parl_superen_mitja('Folketingot', 2012);
exec pkg_consultes.c5_parl_superen_mitja('Congreso de los diputados', 2011);
exec pkg_consultes.c5_parl_superen_mitja('Assemble National', 2009);
exec pkg_consultes.c5_parl_superen_mitja('Assemble Nationale', 2120);
exec pkg_consultes.c5_parl_superen_mitja('Eusko Legebiltzarres', 2013);
exec pkg_consultes.c5_parl_superen_mitja('Eusko Legebiltzarra', 2000);
exec pkg_consultes.c5_parl_superen_mitja('Congreso de los Diputados', 2153);
exec pkg_consultes.c5_parl_superen_mitja('The Scottis Parliament', 2009);
exec pkg_consultes.c5_parl_superen_mitja('Folketinget', 200);


--Sisena consulta: estat comptable de totes les cambres de la bbdd
exec pkg_consultes.c6_estat_comptable(2014);
exec pkg_consultes.c6_estat_comptable(2013);
exec pkg_consultes.c6_estat_comptable(2012);
exec pkg_consultes.c6_estat_comptable(2011);
exec pkg_consultes.c6_estat_comptable(2010);
exec pkg_consultes.c6_estat_comptable(2009);

--Si no funcionen b ens indica que no troba l'any introdut
exec pkg_consultes.c6_estat_comptable(2014);
exec pkg_consultes.c6_estat_comptable(2013);
exec pkg_consultes.c6_estat_comptable(2012);
exec pkg_consultes.c6_estat_comptable(2011);
exec pkg_consultes.c6_estat_comptable(2010);
exec pkg_consultes.c6_estat_comptable(2009);

spool off;
