--------------------------------------------------------
-- Archivo creado  - viernes-diciembre-27-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Package PKG_LOG
--------------------------------------------------------

spool C:\tfc\PKG_LOG.log

  CREATE OR REPLACE PACKAGE "PKG_LOG" as

procedure reg_log (
  p_id            number,
  p_paramentrada  varchar2,
  p_paramsortida  varchar2
);

end pkg_log;

/
--------------------------------------------------------
--  DDL for Package Body PKG_LOG
--------------------------------------------------------

  CREATE OR REPLACE PACKAGE BODY "TFCUSER"."PKG_LOG" AS

  procedure reg_log (
  p_id            number,
  p_paramentrada  varchar2,
  p_paramsortida  varchar2
) as

  --variable on enregistrem les dades que anirn a la taula de logs
  v_log logprocediments%rowtype;

  begin

  --guardem les dades entrades per parmetres a la variable v_log
  v_log.idproc := p_id;
  v_log.paramentrada  := p_paramentrada;
  v_log.paramsortida  := p_paramsortida;

  --insertem les dades a la taula LOGPROCEDIMENTS
  insert into logprocediments values v_log;

  commit;

  END reg_log;

END PKG_LOG;

/

spool off;