

spool C:\tfc\MODULESTADISTIC_proves.log

--PRIMERA CONSULTA: suma de totes les despeses dels darrers 4 anys de la cambra 
--indicada en el parmetre d'entrada
exec pkg_modulestadistic.me1_desp_cambres_4anys('Folketinget');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Congreso de los Diputados');
exec pkg_modulestadistic.me1_desp_cambres_4anys('The Scottish Parliament');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Eusko Legebiltzarra');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Republik sterreich Parlament');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Assembleia Da Repblica');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Sejm');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Assemble Nationale');

--Si no troba la cambra entrada per parmetre a la base de dades ens ho indica
--amb un missatge
exec pkg_modulestadistic.me1_desp_cambres_4anys('');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Congreso de los diputados');
exec pkg_modulestadistic.me1_desp_cambres_4anys('The Scottis Parliament');
exec pkg_modulestadistic.me1_desp_cambres_4anys('Euskor Legebiltzarra');


--SEGONA CONSULTA: donada una cambra i un any ens indica la diferncia en euros
--entre la despesa ms gran associada a parlamentari i la ms petita.
exec pkg_modulestadistic.me2_dif_desp_parl('Folketinget', 2012);
exec pkg_modulestadistic.me2_dif_desp_parl('Congreso de los Diputados', 2013);
exec pkg_modulestadistic.me2_dif_desp_parl('The Scottish Parliament', 2011);
exec pkg_modulestadistic.me2_dif_desp_parl('Eusko Legebiltzarra', 2009);
exec pkg_modulestadistic.me2_dif_desp_parl('Republik sterreich Parlament', 2010);
exec pkg_modulestadistic.me2_dif_desp_parl('Assembleia Da Repblica', 2014);
exec pkg_modulestadistic.me2_dif_desp_parl('Sejm', 2012);
exec pkg_modulestadistic.me2_dif_desp_parl('Assemble Nationale', 2013);

--Si no troba l'any o la cambra indicades ens ho indica amb un missatge.
exec pkg_modulestadistic.me2_dif_desp_parl('Folketingoot', 2012);
exec pkg_modulestadistic.me2_dif_desp_parl('Congreso de los Diputados', 2023);
exec pkg_modulestadistic.me2_dif_desp_parl('The Scottis Parliament', 2001);
exec pkg_modulestadistic.me2_dif_desp_parl('Eusko Legebiltzarra', 1999);
exec pkg_modulestadistic.me2_dif_desp_parl('Republik sterreich Parlament', 2110);


--TERCERA CONSULTA: ens mostra el parlament que ha tingut una despesa ms alta
--associada en l'any indicat.
exec pkg_modulestadistic.me3_cambra_max_desp(2014);
exec pkg_modulestadistic.me3_cambra_max_desp(2013);
exec pkg_modulestadistic.me3_cambra_max_desp(2012);
exec pkg_modulestadistic.me3_cambra_max_desp(2011);
exec pkg_modulestadistic.me3_cambra_max_desp(2010);
exec pkg_modulestadistic.me3_cambra_max_desp(2009);

--Si no troba l'any ens ho indica en un missatge
exec pkg_modulestadistic.me3_cambra_max_desp(2005);
exec pkg_modulestadistic.me3_cambra_max_desp(1998);
exec pkg_modulestadistic.me3_cambra_max_desp(2100);
exec pkg_modulestadistic.me3_cambra_max_desp(2030);


--QUARTA CONSULTA: despesa associada a un parlamentari indicat en els darrers 4 anys
exec pkg_modulestadistic.me4_desp_parl_4anys(1000);
exec pkg_modulestadistic.me4_desp_parl_4anys(1004);
exec pkg_modulestadistic.me4_desp_parl_4anys(1009);
exec pkg_modulestadistic.me4_desp_parl_4anys(1013);
exec pkg_modulestadistic.me4_desp_parl_4anys(1026);
exec pkg_modulestadistic.me4_desp_parl_4anys(1017);
exec pkg_modulestadistic.me4_desp_parl_4anys(1001);
exec pkg_modulestadistic.me4_desp_parl_4anys(1021);

--Si no troba el parlamentari en la base de dades ens ho indica amb un missatge
exec pkg_modulestadistic.me4_desp_parl_4anys(1100);
exec pkg_modulestadistic.me4_desp_parl_4anys(1034);
exec pkg_modulestadistic.me4_desp_parl_4anys(0009);


--CINQUENA CONSULTA: indica la mitjana de despesa d'un parlamentari en l'any indicat
exec pkg_modulestadistic.me5_desp_avg_parl(2014);
exec pkg_modulestadistic.me5_desp_avg_parl(2013);
exec pkg_modulestadistic.me5_desp_avg_parl(2012);
exec pkg_modulestadistic.me5_desp_avg_parl(2011);
exec pkg_modulestadistic.me5_desp_avg_parl(2010);
exec pkg_modulestadistic.me5_desp_avg_parl(2009);

--Si no troba l'any ens ho indica en un missatge
exec pkg_modulestadistic.me5_desp_avg_parl(2015);
exec pkg_modulestadistic.me5_desp_avg_parl(1968);
exec pkg_modulestadistic.me5_desp_avg_parl(2111);
exec pkg_modulestadistic.me5_desp_avg_parl(2030);


--SISENA CONSULTA: en l'any indicat ens mostra el nmero de parlamentari amb ms
--i menys despesa associada.
exec pkg_modulestadistic.me6_max_min_desp_parl(2014);
exec pkg_modulestadistic.me6_max_min_desp_parl(2013);
exec pkg_modulestadistic.me6_max_min_desp_parl(2012);
exec pkg_modulestadistic.me6_max_min_desp_parl(2011);
exec pkg_modulestadistic.me6_max_min_desp_parl(2010);
exec pkg_modulestadistic.me6_max_min_desp_parl(2009);

--Si no troba l'any ens ho indica en un missatge
exec pkg_modulestadistic.me6_max_min_desp_parl(25630);
exec pkg_modulestadistic.me6_max_min_desp_parl(56);
exec pkg_modulestadistic.me6_max_min_desp_parl(2079);
exec pkg_modulestadistic.me6_max_min_desp_parl(2015);


--SETENA CONSULTA: en l'any indicat, ens indica la cambra parlamentria que t una
--mitjada de despesa associada als seus parlamentaris ms alta i el valor de la
--despesa
exec pkg_modulestadistic.me7_cambra_avgpls_max(2014);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2013);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2012);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2011);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2010);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2009);

--Si no troba l'any ens ho indica en un missatge
exec pkg_modulestadistic.me7_cambra_avgpls_max(2369);
exec pkg_modulestadistic.me7_cambra_avgpls_max(182);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2111);
exec pkg_modulestadistic.me7_cambra_avgpls_max(2016);


--VUITENA CONSULTA: ens mostra la despesa generada per tots els parlaments
--en l'any indicat
exec pkg_modulestadistic.me8_desp_total(2014);
exec pkg_modulestadistic.me8_desp_total(2013);
exec pkg_modulestadistic.me8_desp_total(2012);
exec pkg_modulestadistic.me8_desp_total(2011);
exec pkg_modulestadistic.me8_desp_total(2010);
exec pkg_modulestadistic.me8_desp_total(2009);

--Si no troba l'any ens ho indica en un missatge
exec pkg_modulestadistic.me8_desp_total(2036);
exec pkg_modulestadistic.me8_desp_total(956);
exec pkg_modulestadistic.me8_desp_total(520);
exec pkg_modulestadistic.me8_desp_total(2007);

spool off;